Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07800 Gameplay Minor Always Nov 24, 2020, 20:01 Jan 1, 2021, 23:13
Tester GeekyFerret View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows 10 (64-bit)
Status [?] Acknowledged Driver model2.cpp
Version 0.226 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 07800: vf2 and clones: Activating the debug mode crashes MAME
Description When you activate the debug mode, MAME will crash shortly after with the following error:

Fatal error: I960: 508d4: Unhandled 64.4
Steps To Reproduce Wait until the attract mode starts or when you're in-game. Hold service 1 and input the following code on the P1 controls:

left, punch, right, right, down, punch, up, kick, kick

When entered correctly, the HUD will disappear and MAME will crash.
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems vf2 and clones
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.18181
Osso
Developer
Nov 27, 2020, 08:01
I can't get the game to accept that code. Someone else quick enough?
User avatar
No.18192
Hydreigon
Tester
Nov 29, 2020, 04:02
You made kind of a bit of a mistake in submitting the code. The correct code is left, punch, kick, right, right, down, punch, up, kick, kick. Furthermore, DIP 1 has to be set to on and only then you will see some debug related stuff (and shortly crash after meaning I can confirm the crash).
User avatar
No.18318
biggestsonicfan
Tester
Jan 1, 2021, 23:13
It was suspected that this pull request should have fixed the debug code input crashes: https://github.com/mamedev/mame/pull/6650

I'll see if I can collaborate with that developer soon and we can resolve this issue with a new PR.